Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class SupportAndRepairViewBTCType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.SupportAndRepairViewBTCType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class SupportAndRepairViewBTCType

extends Object
implements Serializable

Generiek type voor het deel BTC in het beeld van onderhoud en herstel.

Java class for SupportAndRepairViewBTCType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairViewBTCType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="HasBTCAsked" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="BTCAdjustment" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairViewBTCAdjustmentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SupportAndRepairViewBTCType()`

Method Summary
`List<SupportAndRepairViewBTCAdjustmentType>` | `getBTCAdjustments()` Gets the value of the btcAdjustments property.
`boolean` | `isHasBTCAsked()` Gets the value of the hasBTCAsked property.
`void` | `setHasBTCAsked(boolean value)` Sets the value of the hasBTCAsked property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportAndRepairViewBTCType

    public SupportAndRepairViewBTCType()

Method Detail

### isHasBTCAsked

    public boolean isHasBTCAsked()

  Gets the value of the hasBTCAsked property.

### setHasBTCAsked

    public void setHasBTCAsked(boolean value)

  Sets the value of the hasBTCAsked property.

### getBTCAdjustments

    public List<SupportAndRepairViewBTCAdjustmentType> getBTCAdjustments()

  Gets the value of the btcAdjustments property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btcAdjustments property.

  For example, to add a new item, do as follows:

          getBTCAdjustments().add(newItem);

  Objects of the following type(s) are allowed in the list `SupportAndRepairViewBTCAdjustmentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.